Subject: pkg/13102: perl5 package doesn't build for VAX
To: None <>
From: None <>
List: netbsd-bugs
Date: 06/04/2001 00:56:13
>Number:         13102
>Category:       pkg
>Synopsis:       Build of Perl5 stops while looking for /usr/include/ieeefp.h
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Jun 03 21:55:00 PDT 2001
>Originator:     John Klos
>Release:        <NetBSD-current source date> NetBSD 1.5 release (30-May-2001)
Sixgirls Computing Labs
System: NetBSD gaia 1.5.1_BETA2 NetBSD 1.5.1_BETA2 (GAIA) #1: Sun May 27 06:14:16 EDT 2001 jean@gaia:/usr/src/sys/arch/vax/compile/GAIA vax

	 The Perl5 package, when it tries to build miniperl, includes /usr/include/ieeefp.h, which does not exist on VAX systems; VAX hardware does not do IEEE floating point.
	 cd /usr/pkgsrc/lang/perl5-base && make
	 Add perl_i_ieeefp="undef" to the end of the CONFIGURE_ARGS line in the Makefile (obviously only suitable for fixing VAX)